Subject: Re: bug#74140: [PATCH] Add :continue-only directive for repeat maps in bind-keys, use-package

From: Juri Linkov <[email-masked]>
Date: Mon, 24 Feb 2025 19:29:20 +0200

>> I was trying to keep the existing function signature for 'repeat-get-map'
>> that was without arguments.  But maybe it's fine to add a new required
>> argument.  Then refactoring was straightforward, and now even modified
>> tests passed.  Please try it out.
>
> Thanks, Juri.  I've refactored my original patch to use the
> 'repeat-continue' property that you've added.  Any further comments
> would be welcome.

Thanks, I tried to run tests with your patch
on the following part of 'repeat-tests-bind-keys'
that was previously commented out:

      ;; 'C-M-o' should not activate
      (repeat-tests--check
       "C-M-o c z"
       '((1 o)) "cz")

but this test fails.  I haven't yet investigated the reason.